Bug 130835 - mysterious affliction strikes rhn-applet
mysterious affliction strikes rhn-applet
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhn-applet (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Norwood
Beth Nackashi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-24 20:36 EDT by Michal Jaegermann
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 18:07:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2004-08-24 20:36:23 EDT
Description of problem:

Every time I am trying to run rhn-applet-tui I am seeing the
following:

# rhn-applet-tui
/root was not found, creating
Traceback (most recent call last):
  File "/usr/bin/rhn-applet-tui", line 103, in ?
    main(original_arg_list)
  File "/usr/bin/rhn-applet-tui", line 65, in main
    ignored_package_str = rhn_utils.get_user_config("IgnoredPackages")
  File "/usr/share/rhn/rhn_applet/rhn_utils.py", line 95, in
get_user_config
    user_config_obj.init()
  File "/usr/share/rhn/rhn_applet/rhn_utils.py", line 78, in init
    self.save()
  File "/usr/share/rhn/up2date_client/config.py", line 183, in save
    os.makedirs(os.path.dirname(self.fileName),0757)
  File "/usr/lib/python2.3/os.py", line 154, in makedirs
    mkdir(name, mode)
OSError: [Errno 17] File exists: '/root'

"/root was not found, creating"????  To make the matter more
mysterious a similarly configured x86_64 does not show up
anything of that sort.  I am not sure when this started.
I noticed that only today and I do not recall anything like
in the past with this particular version of rhn-applet installed
on 2004/Mar/15.  Underlying Python libraries were changed
last time on 2004/Aug/14 though.

Version-Release number of selected component (if applicable):
rhn-applet-2.1.7-1.1

How reproducible:
Always on x86.
Comment 1 Michal Jaegermann 2004-08-24 21:42:34 EDT
Ah, mystery solved.  I noticed that /root/.rnh-applet.conf was
missing (it got accidentally deleted in some "small catastrophe")
and after I copied it from elsewhere rhn-applet starts.
But this is surely a weird reaction and an error message in
a situation of that sort.
Comment 2 Matthew Miller 2006-07-10 19:01:37 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 John Thacker 2006-10-29 17:37:17 EST
rhn-applet was replaced by pirut and put (package pirut) as of FC5.  Only FC5
and FC6 are currently fully supported; FC3 and FC4 are supported for security
fixes only.  If this bug occurs in FC3 or FC4 and is a security bug, please
change the product to Fedora Extras and the version to match.  If you can verify
that the bug exists in RHEL as well, please change the product and version
appropriately.

The codebase for pirut and pup is quite different, but if a similar bug exists
in pirut and pup in FC5 or FC6, please change the product to pirut and the
version appropriately and update the bug report.

We apologize that the bug was not fixed before now.  The status will be changed
to NEEDINFO, and if the bug is not updated with evidence that it is a security
bug or a bug that affects RHEL, it will be closed.

Note that rhn-applet may still be present on upgraded systems, and in general
will not function correctly on such systems.  That is not a bug; anaconda does
not generally erase removed packages upon upgrades.

Note You need to log in before you can comment on or make changes to this bug.